Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-8700

puppetlabs-postgresql : the postgresql_psql type tries to autorequire class but autorequiring classes doesn't work

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: postgresql
    • Labels:
      None
    • Template:
      MODULES Bug Template
    • Method Found:
      Needs Assessment
    • QA Risk Assessment:
      Needs Assessment

      Description

      ld69ff1e seems to have replaced the explicit requiring of Class['Postgresql::Server'] with an autorequire of a class ('postgresql::Server::Service') in the postgresql_psql type.

      What I can tell from PUP-2941, !1443 and my testing, autorequiring classes doesn't work.

      This causes statements to execute before the service is started. The example below illustrates this:

      ...snip...
      Error: /Stage[main]/Profile::Pgsqldb::Postgresql::Barman/Postgresql::Server::Role[barman]/Postgresql_psql[CREATE ROLE barman ENCRYPTED PASSWORD ****]: Could not evaluate: Error evaluating 'unless' clause, returned pid 84835 exit 2: 'psql: could not connect to server: No such file or directory
      	Is the server running locally and accepting
      	connections on Unix domain socket "/var/run/postgresql/.s.PGSQL.5432"?
      ...snip...
      Notice: /Stage[main]/Postgresql::Server::Service/Service[postgresqld]/ensure: ensure changed 'stopped' to 'running' (corrective)
      ...snip...

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            tdevelioglu Taylan Develioglu
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support